## flask 0.4

=== Makefile ===
.PHONY: clean-pyc test upload-docs

all: clean-pyc test

test:
	python setup.py test

release:
	python setup.py release sdist upload

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

upload-docs:
	$(MAKE) -C docs html dirhtml latex
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html flask-docs; zip -r flask-docs.zip flask-docs; mv flask-docs html
	scp -r docs/_build/dirhtml/* pocoo.org:/var/www/flask.pocoo.org/docs/
	scp -r docs/_build/latex/Flask.pdf pocoo.org:/var/www/flask.pocoo.org/docs/flask-docs.pdf
	scp -r docs/_build/flask-docs.zip pocoo.org:/var/www/flask.pocoo.org/docs/

=== debian/changelog ===
flask (0.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Jun 2010 01:26:58 +0200

flask (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Add python-jinja2 and python-werkzeug to Build-Depends-Indep (for tests)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 28 May 2010 22:08:19 +0200

flask (0.2-1) unstable; urgency=low

  * New upstream release
  * Add python-simplejson | python (>= 2.6) to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 12 May 2010 11:04:18 +0200

flask (0.1-1) unstable; urgency=low

  * Initial release (closes: #578093)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 16 Apr 2010 21:45:12 +0200

=== debian/control ===
Source: flask
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python, python-setuptools (>= 0.6b3), python-support (>= 0.8.4)
Build-Depends-Indep: python-jinja2, python-werkzeug
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/flask/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/flask/trunk/
Homepage: http://flask.pocoo.org/
XS-Python-Version: >= 2.5


Package: python-flask
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-werkzeug (>= 0.6.1), python-jinja2 (>= 2.4)
Recommends: python-pkg-resources, python-simplejson | python (>= 2.6)
Description: micro web framework based on Werkzeug, Jinja2 and good intentions
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()

=== debian/rules ===
#!/usr/bin/make -f
	
export PYTHONPATH=$(CURDIR)

%:
	dh $@ --buildsystem python_distutils

build:
	dh build
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	make test
endif

clean:
	dh clean
	rm -rf Flask.egg-info/ build
	find . \( -name '*.py[co]' -or -name '\._*' -or -name '\.DS_Store' \) -delete

## flask 0.6

=== debian/changelog ===
flask (0.6-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 Jul 2010 17:46:02 +0200

flask (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Jul 2010 14:46:40 +0200

flask (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2
  * Standards-Version bumped to 3.9.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 11 Jul 2010 19:51:17 +0200

=== debian/control ===
Source: flask
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), python (>= 2.6.5-6), python-setuptools (>= 0.6b3)
Build-Depends-Indep: python-jinja2, python-werkzeug
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/python-modules/packages/flask/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/flask/trunk/
Homepage: http://flask.pocoo.org/
XS-Python-Version: >= 2.5

Package: python-flask
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Breaks: ${python:Breaks}
Recommends: python-pkg-resources, python-simplejson | python (>= 2.6)
Description: micro web framework based on Werkzeug, Jinja2 and good intentions
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()

## flask 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,15 @@
-.PHONY: clean-pyc test upload-docs
+.PHONY: clean-pyc ext-test test upload-docs docs
 
 all: clean-pyc test
 
 test:
 	python setup.py test
+
+tox-test:
+	PYTHONDONTWRITEBYTECODE= tox
+
+ext-test:
+	python tests/flaskext_test.py --browse
 
 release:
 	python setup.py release sdist upload
@@ -20,3 +26,6 @@
 	scp -r docs/_build/dirhtml/* pocoo.org:/var/www/flask.pocoo.org/docs/
 	scp -r docs/_build/latex/Flask.pdf pocoo.org:/var/www/flask.pocoo.org/docs/flask-docs.pdf
 	scp -r docs/_build/flask-docs.zip pocoo.org:/var/www/flask.pocoo.org/docs/
+
+docs:
+	$(MAKE) -C docs html

=== debian/changelog ===
flask (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 15 Jan 2011 20:49:53 +0100

## flask 0.7.2

=== Makefile ===
.PHONY: clean-pyc ext-test test upload-docs docs audit

all: clean-pyc test

test:
	python setup.py test

audit:
	python setup.py audit

release:
	python scripts/make-release.py

tox-test:
	PYTHONDONTWRITEBYTECODE= tox

ext-test:
	python tests/flaskext_test.py --browse

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

upload-docs:
	$(MAKE) -C docs html dirhtml latex
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html flask-docs; zip -r flask-docs.zip flask-docs; mv flask-docs html
	rsync -a docs/_build/dirhtml/ pocoo.org:/var/www/flask.pocoo.org/docs/
	rsync -a docs/_build/latex/Flask.pdf pocoo.org:/var/www/flask.pocoo.org/docs/flask-docs.pdf
	rsync -a docs/_build/flask-docs.zip pocoo.org:/var/www/flask.pocoo.org/docs/flask-docs.zip

docs:
	$(MAKE) -C docs html

=== debian/changelog ===
flask (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Jul 2011 23:09:37 +0200

flask (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 29 Jun 2011 20:17:09 +0200

flask (0.7-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 28 Jun 2011 21:46:12 +0200

flask (0.6.1-2) unstable; urgency=low

  * Provide flaskext namespace
  * Build depend on python-all to make sure dh will invoke setup.py install
    for all supported Python versions (and thus avoid dh_python2's 
    .pyinstall vs. guess_versions race)
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 07 May 2011 19:34:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7), python (>= 2.6.5-6), python-setuptools (>= 0.6b3)
+Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-6), python-setuptools (>= 0.6b3)
 Build-Depends-Indep: python-jinja2, python-werkzeug
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/flask/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/flask/trunk/
 Homepage: http://flask.pocoo.org/

## flask 0.8

=== debian/changelog ===
flask (0.8-1) unstable; urgency=low

  * New upstream release
  * Bump minimum required python-werkzeug version to 0.8

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Oct 2011 19:37:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-6), python-setuptools (>= 0.6b3)
-Build-Depends-Indep: python-jinja2, python-werkzeug
+Build-Depends-Indep: python-jinja2, python-werkzeug (>= 0.8)
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/flask/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/flask/trunk/
@@ -14,7 +14,6 @@
 Package: python-flask
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
-Breaks: ${python:Breaks}
 Recommends: python-pkg-resources, python-simplejson | python (>= 2.6)
 Description: micro web framework based on Werkzeug, Jinja2 and good intentions
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYTHONPATH=$(CURDIR)
 
 %:
-	dh $@ --buildsystem python_distutils
+	dh $@ --buildsystem python_distutils --with python2
 
 build:
 	dh build

## flask 0.9

=== debian/changelog ===
flask (0.9-1) experimental; urgency=low

  * New upstream release
    - upload to experimental due to Wheezy freeze
  * remove flask/testsuite from binary package (it's doesn't work outside
    build directory)
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 03 Aug 2012 19:29:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-6), python-setuptools (>= 0.6b3)
 Build-Depends-Indep: python-jinja2, python-werkzeug (>= 0.8)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/flask/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/flask/trunk/
 Homepage: http://flask.pocoo.org/
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.5
 
 Package: python-flask
 Architecture: all

## flask 0.10.1

=== debian/changelog ===
flask (0.10.1-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Drop python3-flask package (requires Python 3.3 which is not available in
    Wheezy)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Dec 2014 13:19:16 +0100

flask (0.10.1-2) unstable; urgency=low

  * Add python3-flask binary package
  * Add python-blinker to Recommends (used in flask.signals)
  * Switch to pybuild buildsystem
  * Add fix_test_appcontext_signals and fix_test_json_key_sorting patches
    and enable tests at build time (patches taked from upstream repo)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 08 Aug 2013 22:19:13 +0200

flask (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Add python-itsdangerous to Build-Depends and let dh_python2
    add it to Depends

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Jun 2013 15:08:42 +0200

flask (0.9-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Add python-flask-doc binary package (closes: #703802)
  * debian/compat bumped to 9
  * Standards-Version bumped to 3.9.4 (no changes needed)
  * upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 May 2013 20:25:15 +0200

=== debian/control ===
Source: flask
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python-all,
 python-setuptools,
# for docs:
 python-sphinx (>= 1.0.7+dfsg),
 python-werkzeug (>= 0.8), python-jinja2, python-itsdangerous,
# for tests:
 python-simplejson,
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/flask/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/flask/trunk/
Homepage: http://flask.pocoo.org/
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3

Package: python-flask
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-pkg-resources, python-simplejson | python (>= 2.6),
 python-blinker
Suggests: python-flask-doc
Description: micro web framework based on Werkzeug, Jinja2 and good intentions
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()

Package: python-flask-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-flask
Description: documentation for Flask micro web framework
 Flask is a Python micro web framework based on Werkzeug and Jinja2
 .
 This package contains the documentation for Flask

=== debian/rules ===
#!/usr/bin/make -f
	
export PYBUILD_DESTDIR_python2=debian/python-flask/

%:
	dh $@ --with python2,sphinxdoc --buildsystem pybuild

override_dh_auto_test:
	http_proxy='' dh_auto_test

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-flask-doc/usr/share/doc/python-flask-doc/html/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf Flask.egg-info/ build
	find . \( -name '*.py[co]' -or -name '\._*' -or -name '\.DS_Store' \) -delete

## flask 0.11.1

=== Makefile ===
.PHONY: clean-pyc ext-test test tox-test test-with-mem upload-docs docs audit

all: clean-pyc test

test:
	FLASK_DEBUG= py.test tests examples

tox-test:
	tox

audit:
	python setup.py audit

release:
	python scripts/make-release.py

ext-test:
	python tests/flaskext_test.py --browse

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

upload-docs:
	$(MAKE) -C docs html dirhtml latex epub
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html flask-docs; zip -r flask-docs.zip flask-docs; mv flask-docs html
	rsync -a docs/_build/dirhtml/ flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/
	rsync -a docs/_build/latex/Flask.pdf flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/flask-docs.pdf
	rsync -a docs/_build/flask-docs.zip flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/flask-docs.zip
	rsync -a docs/_build/epub/Flask.epub flow.srv.pocoo.org:/srv/websites/flask.pocoo.org/docs/flask-docs.epub

# ebook-convert docs: http://manual.calibre-ebook.com/cli/ebook-convert.html
ebook:
	@echo 'Using .epub from `make upload-docs` to create .mobi.'
	@echo 'Command `ebook-covert` is provided by calibre package.'
	@echo 'Requires X-forwarding for Qt features used in conversion (ssh -X).'
	@echo 'Do not mind "Invalid value for ..." CSS errors if .mobi renders.'
	ssh -X pocoo.org ebook-convert /var/www/flask.pocoo.org/docs/flask-docs.epub /var/www/flask.pocoo.org/docs/flask-docs.mobi --cover http://flask.pocoo.org/docs/_images/logo-full.png --authors 'Armin Ronacher'

docs:
	$(MAKE) -C docs html

=== debian/changelog ===
flask (0.11.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Fixed VCS URL (https)
  * Bumped Standards-Version to 3.9.8 (no changes needed)
  * Use extend-diff-ignore for egg-info instead of removing it
  * d/copyright
    - Converted to DEP5 format
    - Added myself for Debian part
  * Removed patches applied upstream:
    - d/p/fix_test_appcontext_signals.patch
    - d/p/fix_test_json_key_sorting.patch
  * Added python{3,}-click and python{3,}-pytest to build depends
  * Bumped required Python 2 version to 2.6
  * Enabled autopkgtest-pkg-python testsuite
  * Use override_dh_sphinxdoc for building Sphinx docs and added nodocs
    support
  * Use LC_ALL=C.UTF-8 when running tests, Click is failing on non UTF-8
    locale
  * Bumped required version of dh-python to 2.20160609~
  * Added /usr/share/doc/python-flask-doc/rst symlink
  * Removed override_dh_auto_clean and override_dh_python3 (not needed)
  * Install /usr/bin/flask CLI only to python3-flask package
  * Make python-flask and python3-flask descriptions distinct
  * Removed all pre-wheezy version compare from dependency
  * Removed python-simplejson from build-depends/recommends
  * Added python3-blinker to build-depends/recommends
  * Removed d/python-flask.pyremove (not needed)
  * d/watch: Changed to pypi.debian.net
  * Removed site_egg directory

  [ Piotr Ożarowski ]
  * Make sure sphinx-build doesn't access network
  * Add Ondřej Nový to Uploaders

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 19 Jul 2016 21:37:45 +0200

=== debian/control ===
Source: flask
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Ondřej Nový <onovy@debian.org>
Build-Depends: debhelper (>= 9), dh-python (>= 2.20160609~),
 python-all, python3-all,
 python-setuptools, python3-setuptools,
# for docs:
 python-sphinx,
# for tests:
 python-pytest, python3-pytest,
 python-werkzeug, python-jinja2, python-itsdangerous, python-blinker, python-click,
 python3-werkzeug, python3-jinja2, python3-itsdangerous, python3-blinker, python3-click,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask.git
Homepage: http://flask.pocoo.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Testsuite: autopkgtest-pkg-python

Package: python-flask
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-pkg-resources,
 python-blinker
Suggests: python-flask-doc
Description: micro web framework based on Werkzeug and Jinja2 - Python 2.7
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the Python 2.7 module.

Package: python3-flask
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-pkg-resources,
 python3-blinker
Suggests: python-flask-doc
Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the Python 3.x module.

Package: python-flask-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-flask
Description: documentation for Flask micro web framework
 Flask is a Python micro web framework based on Werkzeug and Jinja2
 .
 This package contains the documentation for Flask

## flask 0.12

=== debian/changelog ===
flask (0.12-1) unstable; urgency=medium

  * New upstream release
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Sun, 25 Dec 2016 16:01:11 +0100

## flask 0.12.1

=== debian/changelog ===
flask (0.12.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 May 2017 16:57:00 +0200

flask (0.12.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Use SOURCE_DATE_EPOCH for copyright year to make build reproducible

 -- Ondřej Nový <onovy@debian.org>  Thu, 13 Apr 2017 06:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper (>= 9), dh-python (>= 2.20160609~),
+Build-Depends: debhelper (>= 10), dh-python (>= 2.20160609~),
  python-all, python3-all,
  python-setuptools, python3-setuptools,
 # for docs:

=== debian/rules ===
#!/usr/bin/make -f
	
export PYBUILD_NAME=flask
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/site_egg'

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_test:
	LC_ALL=C.UTF-8 http_proxy='' dh_auto_test

override_dh_install:
	dh_install

	rm $(CURDIR)/debian/python-flask/usr/bin/flask

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-flask-doc/usr/share/doc/python-flask-doc/html/
	dh_sphinxdoc
endif

## flask 0.12.2

=== debian/changelog ===
flask (0.12.2-3) unstable; urgency=medium

  * Change priority from extra to optional
  * Standards-Version is 4.1.3 now
  * Remove unwanted license file from docs
  * debian/patches/0003-Don-t-rely-on-X-Requested-With-for-pretty-print-json.patch:
    Fix FTBFS (Closes: #884523)
  * Bump debhelper compat level to 11
  * Use Python 3 version of Sphinx for building docs

 -- Ondřej Nový <onovy@debian.org>  Mon, 15 Jan 2018 14:59:22 +0100

flask (0.12.2-2) unstable; urgency=medium

  * Added Python 3.6 support for tests (Closes: #867482)
  * Standards-Version is 4.0.0.4 now (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Sun, 09 Jul 2017 18:36:07 +0200

flask (0.12.2-1) unstable; urgency=medium

  * New upstream bugfix release
  * d/control: Cleanup long description of python-flask-doc

 -- Ondřej Nový <onovy@debian.org>  Tue, 20 Jun 2017 19:26:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Ondřej Nový <onovy@debian.org>
-Build-Depends: debhelper (>= 10), dh-python (>= 2.20160609~),
+Build-Depends: debhelper (>= 11), dh-python (>= 2.20160609~),
  python-all, python3-all,
  python-setuptools, python3-setuptools,
 # for docs:
- python-sphinx,
+ python3-sphinx,
 # for tests:
  python-pytest, python3-pytest,
  python-werkzeug, python-jinja2, python-itsdangerous, python-blinker, python-click,
  python3-werkzeug, python3-jinja2, python3-itsdangerous, python3-blinker, python3-click,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask.git
 Homepage: http://flask.pocoo.org/
@@ -68,10 +68,20 @@
 Package: python-flask-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python-flask
-Description: documentation for Flask micro web framework
- Flask is a Python micro web framework based on Werkzeug and Jinja2
+Description: micro web framework based on Werkzeug and Jinja2 - documentation
+ Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
+ intentions. A minimal Flask application looks like that:
  .
- This package contains the documentation for Flask
+   from flask import Flask
+   app = Flask(__name__)
+ .
+   @app.route("/")
+   def hello():
+       return "Hello World!"
+ .
+   if __name__ == '__main__':
+       app.run()
+ .
+ This package contains the documentation for Flask.

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,7 @@
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-flask-doc/usr/share/doc/python-flask-doc/html/
 	dh_sphinxdoc
+	# Remove unwanted license file, we already reference d/copyright
+	rm -f $(CURDIR)/debian/python-flask-doc/usr/share/doc/python-flask-doc/html/_sources/license.rst.txt
+	rm -f $(CURDIR)/debian/python-flask-doc/usr/share/doc/python-flask-doc/html/license.html
 endif

## flask 1.0.2

=== Makefile ===
.PHONY: all install-dev test coverage cov test-all tox docs audit release clean-pyc upload-docs ebook

all: test

install-dev:
	pip install -q -e .[dev]

test: clean-pyc install-dev
	pytest

coverage: clean-pyc install-dev
	coverage run -m pytest
	coverage report
	coverage html

cov: coverage

test-all: install-dev
	tox

tox: test-all

docs: clean-pyc install-dev
	$(MAKE) -C docs html

audit:
	python setup.py audit

release:
	python scripts/make-release.py

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Flask
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
flask (1.0.2-3) unstable; urgency=medium

  * Set https_proxy during building docs to prevent internet access
    (Closes: #909570)

 -- Ondřej Nový <onovy@debian.org>  Thu, 27 Sep 2018 10:50:39 +0200

flask (1.0.2-2) unstable; urgency=medium

  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Add d/p/0002-remove-DocVersion-related.patch and
        d/p/0003-fix-issue-no-theme-named-flask-found.patch and
        d/p/0004-empty-CONTRIBUTING-rst.patch and
        d/p/0005-remove-carbon-ads.patch:
    Make docs build compatible with newer pallets_sphinx_themes
    (Closes: #908688)
  * Bump standards version to 4.2.1 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Tue, 18 Sep 2018 11:42:45 +0200

flask (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Remove ancient X-Python{,3}-Version field
    - Bump required version of B-D a D for new upstream release
    - B-D on python3-pallets-sphinx-themes
  * d/patches/*: Drop. All applied upstream
  * d/copyright: Change upstream copyright holders for new upstream release
  * d/rules: Upstream renamed CHANGES -> CHANGES.rst
  * Standards-Version is 4.1.4 now (no changes needed)
  * Install examples
  * Add upstream metadata
  * d/copyright: Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Wed, 16 May 2018 15:39:05 +0200

flask (0.12.2-4) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * Add correct upstream changelog (Closes: #891342)

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Mar 2018 14:20:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
  python-all, python3-all,
  python-setuptools, python3-setuptools,
 # for docs:
- python3-sphinx,
+ python3-sphinx, python3-pallets-sphinx-themes,
 # for tests:
- python-pytest, python3-pytest,
- python-werkzeug, python-jinja2, python-itsdangerous, python-blinker, python-click,
- python3-werkzeug, python3-jinja2, python3-itsdangerous, python3-blinker, python3-click,
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask.git
+ python-pytest (>= 3), python3-pytest (>= 3),
+ python-werkzeug (>= 0.14), python-jinja2 (>= 2.10), python-itsdangerous (>= 0.24), python-blinker, python-click (>= 5.1),
+ python3-werkzeug (>= 0.14), python3-jinja2 (>= 2.10), python3-itsdangerous (>= 0.24), python3-blinker, python3-click (>= 5.1),
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/python-team/modules/flask.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/flask
 Homepage: http://flask.pocoo.org/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
 Testsuite: autopkgtest-pkg-python
 
 Package: python-flask
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends:
+ python-werkzeug (>= 0.14), python-jinja2 (>= 2.10), python-itsdangerous (>= 0.24), python-click (>= 5.1),
+ ${python:Depends}, ${misc:Depends}
 Recommends: python-pkg-resources,
  python-blinker
 Suggests: python-flask-doc

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,15 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-flask-doc/usr/share/doc/python-flask-doc/html/
+	http_proxy='http://127.0.0.1:9/' \
+		https_proxy='http://127.0.0.1:9/' \
+		PYTHONPATH=. \
+		python3 -m sphinx -N -q -E -b html docs/ debian/python-flask-doc/usr/share/doc/python-flask-doc/html/
 	dh_sphinxdoc
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/python-flask-doc/usr/share/doc/python-flask-doc/html/_sources/license.rst.txt
 	rm -f $(CURDIR)/debian/python-flask-doc/usr/share/doc/python-flask-doc/html/license.html
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGES.rst

## flask 1.1.1

=== debian/changelog ===
flask (1.1.1-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Expose sensitive information
    - debian/patches/CVE-2023-30861.patch: set 'Vary: Cookie'
      header consistently for session in src/flask/sessions.py,
      tests/test_basic.py.
    - CVE-2023-30861

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 17 May 2023 11:19:21 -0300

flask (1.1.1-2) unstable; urgency=medium

  * Enable sphinx-issues extension.
  * Drop Python 2 support (Closes: #936522).
  * Fix tests in Python 3.8.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 17:44:34 +0100

flask (1.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream version
  * wrap-and-sort -ast
  * Drop patches, not needed anymore or applied upstream:
    - 0002-remove-DocVersion-related.patch
    - 0003-fix-issue-no-theme-named-flask-found.patch
    - 0004-empty-CONTRIBUTING-rst.patch
    - 0005-remove-carbon-ads.patch
  * Bump required version of python{,3}-werkzeug
  * d/rules:
    - Disable test_main_module_paths test, it doesn't work
    - Fix building for new upstream release
  * d/copyright: Bump my copyright year.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * Disable sphinx-issues extension until python-sphinx-issues hits unstable.
  * Bump debhelper compat level to 12.

  [ Salman Mohammadi ]
  * d/control: Change python-flask-doc to recommend python3-flask.

 -- Ondřej Nový <onovy@debian.org>  Fri, 25 Oct 2019 14:31:38 +0200

=== debian/control ===
Source: flask
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python (>= 2.20160609~),
 python3-all,
 python3-blinker,
 python3-click (>= 5.1),
 python3-itsdangerous (>= 0.24),
 python3-jinja2 (>= 2.10),
 python3-pallets-sphinx-themes,
 python3-pytest (>= 3),
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-issues,
 python3-werkzeug (>= 0.15),
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/flask.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask
Homepage: http://flask.pocoo.org/
Testsuite: autopkgtest-pkg-python

Package: python3-flask
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-blinker,
 python3-pkg-resources,
Suggests:
 python-flask-doc,
Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the Python 3.x module.

Package: python-flask-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-flask,
Description: micro web framework based on Werkzeug and Jinja2 - documentation
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions. A minimal Flask application looks like that:
 .
   from flask import Flask
   app = Flask(__name__)
 .
   @app.route("/")
   def hello():
       return "Hello World!"
 .
   if __name__ == '__main__':
       app.run()
 .
 This package contains the documentation for Flask.

=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,22 @@
 #!/usr/bin/make -f
 	
 export PYBUILD_NAME=flask
+export PYBUILD_BEFORE_TEST=cp CHANGES.rst {build_dir}
+export PYBUILD_AFTER_TEST=rm {build_dir}/CHANGES.rst
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/site_egg'
+export PYBUILD_TEST_ARGS="-k-test_main_module_paths"
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_test:
 	LC_ALL=C.UTF-8 http_proxy='' dh_auto_test
-
-override_dh_install:
-	dh_install
-
-	rm $(CURDIR)/debian/python-flask/usr/bin/flask
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	http_proxy='http://127.0.0.1:9/' \
 		https_proxy='http://127.0.0.1:9/' \
-		PYTHONPATH=. \
+		PYTHONPATH=src \
 		python3 -m sphinx -N -q -E -b html docs/ debian/python-flask-doc/usr/share/doc/python-flask-doc/html/
 	dh_sphinxdoc
 	# Remove unwanted license file, we already reference d/copyright

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Flask/Flask-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask 1.1.2

=== debian/changelog ===
flask (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Move DPMT into Maintainer and myself into Uploaders.
  * Removed Piotr from Maintainer/Uploaders as he requested.
  * d/copyright: Bump my copyright year.
  * d/p/0002-Fix-Python-3-8.patch: Drop applied upstream
  * Rebased other patches.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Apr 2020 11:08:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: flask
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 12),
@@ -20,11 +18,12 @@
  python3-sphinx,
  python3-sphinx-issues,
  python3-werkzeug (>= 0.15),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/flask
 Homepage: http://flask.pocoo.org/
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-flask
 Architecture: all

## flask 2.0.1

=== debian/changelog ===
flask (2.0.1-2ubuntu1) jammy; urgency=medium

  * d/control: Demote python3-{asgiref,dotenv} to Suggests; these
    are optional dependencies and neither is in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Nov 2021 08:35:27 +0000

flask (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:14:16 +0200

flask (2.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.
  * Fixed PYBUILD_TEST_ARGS to use new pytest syntax.
  * Add python3-sphinx-tabs to build-depends, needed to build the doc.
  * Add remove-using-intersphinx.patch.
  * Add remove-eticalads-in-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 23:14:09 +0200

flask (1.1.2-3) unstable; urgency=medium

  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Debian Janitor <janitor@jelmer.uk>  Sun, 22 Aug 2021 03:28:56 +0100

flask (1.1.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Make the documentation build reproducibly (Closes: #943674).
  * Bump debhelper compat level to 13.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-flask-doc: Add Multi-Arch: foreign.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Oct 2020 15:10:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: flask
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python (>= 2.20160609~),
  python3-all,
+ python3-asgiref,
  python3-blinker,
- python3-click (>= 5.1),
- python3-itsdangerous (>= 0.24),
- python3-jinja2 (>= 2.10),
+ python3-click,
+ python3-dotenv,
+ python3-itsdangerous (>= 2.0),
+ python3-jinja2 (>= 3.0),
  python3-pallets-sphinx-themes,
  python3-pytest (>= 3),
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-issues,
- python3-werkzeug (>= 0.15),
+ python3-sphinx-tabs,
+ python3-werkzeug (>= 2.0),
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/flask.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/flask
+Vcs-Git: https://salsa.debian.org/python-team/packages/flask.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
 Homepage: http://flask.pocoo.org/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
@@ -32,8 +36,13 @@
  ${python3:Depends},
 Recommends:
  python3-blinker,
+ python3-click,
+ python3-itsdangerous (>= 2.0),
  python3-pkg-resources,
+ python3-werkzeug (>= 2.0),
 Suggests:
+ python3-asgiref,
+ python3-dotenv,
  python-flask-doc,
 Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
@@ -59,6 +68,7 @@
  ${sphinxdoc:Depends},
 Recommends:
  python3-flask,
+Multi-Arch: foreign
 Description: micro web framework based on Werkzeug and Jinja2 - documentation
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
  intentions. A minimal Flask application looks like that:

## flask 2.0.3

=== debian/changelog ===
flask (2.0.3-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-{asgiref,dotenv} to Suggests; these
      are optional dependencies and neither is in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Aug 2022 11:36:35 +0100

flask (2.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.3
  * d/p/426a1e25b77e760b4f54bf94aee3e3617850569f.patch: Remove.
  * Bump watch version from 3 to 4
  * Bump Standards-Version to 4.6.1.

 -- Gabriela Pivetta <gpivetta99@gmail.com>  Wed, 20 Jul 2022 07:20:35 -0300

flask (2.0.1-4) unstable; urgency=medium

  * Team upload.
  * [e10f738] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Tue, 19 Jul 2022 17:46:19 -0400

flask (2.0.1-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-{asgiref,dotenv} to Suggests; these
      are optional dependencies and neither is in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jul 2022 19:55:43 +0100

flask (2.0.1-3) unstable; urgency=medium

  * debian/patches/426a1e25b77e760b4f54bf94aee3e3617850569f.patch
    - fix compat with pytest 7, part of PR #4443; Closes: #1013716

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jul 2022 23:15:20 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-sphinx-issues,
  python3-sphinx-tabs,
  python3-werkzeug (>= 2.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
 Homepage: http://flask.pocoo.org/

## flask 2.2.2

=== debian/changelog ===
flask (2.2.2-3) unstable; urgency=high

  * CVE-2023-30861: Flask vulnerable to possible disclosure of permanent
    session cookie due to missing Vary: Cookie header. Applied upstream patch:
    set Vary: Cookie header consistently for session (Closes: #1035670).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 May 2023 12:39:19 +0200

flask (2.2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Nov 2022 14:02:11 +0100

flask (2.2.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Add myself as uploader.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 10:21:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: flask
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
+ Thomas Goirand <zigo@debian.org>,
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,17 +11,18 @@
  python3-all,
  python3-asgiref,
  python3-blinker,
- python3-click,
+ python3-click (>= 8.0),
  python3-dotenv,
  python3-itsdangerous (>= 2.0),
  python3-jinja2 (>= 3.0),
  python3-pallets-sphinx-themes,
  python3-pytest (>= 3),
+ python3-tomli,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-issues,
  python3-sphinx-tabs,
- python3-werkzeug (>= 2.0),
+ python3-werkzeug (>= 2.2.2),
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask
@@ -35,14 +36,14 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ python3-asgiref,
  python3-blinker,
- python3-click,
+ python3-click (>= 8.0),
+ python3-dotenv,
  python3-itsdangerous (>= 2.0),
  python3-pkg-resources,
- python3-werkzeug (>= 2.0),
+ python3-werkzeug (>= 2.2.2),
 Suggests:
- python3-asgiref,
- python3-dotenv,
  python-flask-doc,
 Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_BEFORE_TEST=cp CHANGES.rst {build_dir}
 export PYBUILD_AFTER_TEST=rm {build_dir}/CHANGES.rst
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/site_egg'
-export PYBUILD_TEST_ARGS="-k-test_main_module_paths"
+export PYBUILD_TEST_ARGS="-k not test_main_module_paths"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem pybuild

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-asgiref,
 python3-blinker,
 python3-dotenv,
 python3-flask,
 python3-pytest (>= 6.2),
 python3-setuptools,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Flask/Flask-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask 2.2.5

=== debian/changelog ===
flask (2.2.5-1ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 15 Sep 2023 08:11:40 +0000

flask (2.2.5-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-dotenv to Suggests; this is
      is an optional dependency not in Ubuntu main.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Sep 2023 09:01:28 +0200

flask (2.2.5-1) unstable; urgency=medium

  * d/watch: Switch to using github tags instead of pypi.
  * New upstream release.
  * Remove CVE-2023-30861 patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 11:12:36 +0200

flask (2.2.2-3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-dotenv to Suggests; these
      are optional dependencies and neither is in Ubuntu main.
  * Dropped changes:
    - d/control: Demote python3-asgiref to Suggests: the package
      is now in main

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 May 2023 08:39:36 +0200

flask (2.2.2-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-{asgiref,dotenv} to Suggests; these
      are optional dependencies and neither is in Ubuntu main.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 05 Jan 2023 18:02:34 +0100

=== debian/control ===
--- 
+++ 
@@ -39,11 +39,11 @@
  python3-asgiref,
  python3-blinker,
  python3-click (>= 8.0),
- python3-dotenv,
  python3-itsdangerous (>= 2.0),
  python3-pkg-resources,
  python3-werkzeug (>= 2.2.2),
 Suggests:
+ python3-dotenv,
  python-flask-doc,
 Description: micro web framework based on Werkzeug and Jinja2 - Python 3.x
  Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/pallets/flask.git refs/tags/(\d[brc\d\.]+)
